
From: Andrew Morton <akpm@osdl.org>

Cc: Zachary Amsden <zach@vmware.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/pnp/pnpbios/bioscalls.c |   14 +++++++-------
 1 files changed, 7 insertions(+), 7 deletions(-)

diff -puN drivers/pnp/pnpbios/bioscalls.c~i386--typecheck-and-optimize-base-and-limit-accessors-fix-tidy drivers/pnp/pnpbios/bioscalls.c
--- devel/drivers/pnp/pnpbios/bioscalls.c~i386--typecheck-and-optimize-base-and-limit-accessors-fix-tidy	2005-08-17 23:49:18.000000000 -0700
+++ devel-akpm/drivers/pnp/pnpbios/bioscalls.c	2005-08-17 23:49:18.000000000 -0700
@@ -67,13 +67,13 @@ __asm__(
 	".previous		\n"
 );
 
-static void Q_SET_SEL(int cpu, int selname, void *address, u32 size)
+static void q_set_sel(int cpu, int selname, void *address, u32 size)
 {
 	set_base(&per_cpu(cpu_gdt_table,cpu)[selname >> 3], __va(address));
 	set_limit(&per_cpu(cpu_gdt_table,cpu)[selname >> 3], size);
 }
 
-static void Q2_SET_SEL(int cpu, int selname, void *address, u32 size)
+static void q2_set_sel(int cpu, int selname, void *address, u32 size)
 {
 	set_base(&per_cpu(cpu_gdt_table,cpu)[selname >> 3], address);
 	set_limit(&per_cpu(cpu_gdt_table,cpu)[selname >> 3], size);
@@ -123,9 +123,9 @@ static inline u16 call_pnp_bios(u16 func
 
 	/* The lock prevents us bouncing CPU here */
 	if (ts1_size)
-		Q2_SET_SEL(smp_processor_id(), PNP_TS1, ts1_base, ts1_size);
+		q2_set_sel(smp_processor_id(), PNP_TS1, ts1_base, ts1_size);
 	if (ts2_size)
-		Q2_SET_SEL(smp_processor_id(), PNP_TS2, ts2_base, ts2_size);
+		q2_set_sel(smp_processor_id(), PNP_TS2, ts2_base, ts2_size);
 
 	__asm__ __volatile__(
 	        "pushl %%ebp\n\t"
@@ -537,10 +537,10 @@ void pnpbios_calls_init(union pnp_bios_i
 	_set_limit(&bad_bios_desc, 4095 - (0x40 << 4));
 	for(i=0; i < NR_CPUS; i++)
 	{
-		Q2_SET_SEL(i, PNP_CS32, &pnp_bios_callfunc, 64 * 1024);
-		Q_SET_SEL(i, PNP_CS16, (void *)header->fields.pm16cseg,
+		q2_set_sel(i, PNP_CS32, &pnp_bios_callfunc, 64 * 1024);
+		q_set_sel(i, PNP_CS16, (void *)header->fields.pm16cseg,
 				64 * 1024);
-		Q_SET_SEL(i, PNP_DS, (void *)header->fields.pm16dseg,
+		q_set_sel(i, PNP_DS, (void *)header->fields.pm16dseg,
 				64 * 1024);
 	}
 }
_
